Last Comment Bug 754797 - libopus fails to compile on mingw
: libopus fails to compile on mingw
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla15
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 03:02 PDT by Jacek Caban
Modified: 2012-05-16 03:56 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (604 bytes, patch)
2012-05-14 03:02 PDT, Jacek Caban
giles: review+
Details | Diff | Splinter Review

Description Jacek Caban 2012-05-14 03:02:20 PDT
Created attachment 623621 [details] [diff] [review]
fix v1.0

That's because it tries to use MSVC assembly in float_cast.h. The attached patch defines HAVE_LRINTF for mingw, so that GCC code path is taken.
Comment 1 Ralph Giles (:rillian) needinfo me 2012-05-14 08:23:14 PDT
Comment on attachment 623621 [details] [diff] [review]
fix v1.0

Looks good to me.

Please update the patch with a more verbose log message including the bug number and more details of why the change is being made. For example:

Bug 754797 - libopus fails to compile on mingw - r=rillian

Define HAVE_LRINTF when compiling with GCC on Windows to avoid
the MSVC assembly implementation in libopus/celt/float_cast.h.
Comment 2 Lukas Blakk [:lsblakk] use ?needinfo 2012-05-14 14:44:02 PDT
Ralph, sorry that Autoland doesn't strip off whitespace right now - i have filed bug 755054 to get that change in when there's a spare minute.
Comment 3 Mozilla RelEng Bot 2012-05-14 15:18:45 PDT
Autoland Patchset:
	Patches: 623621
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/pushloghtml?changeset=b0b494f311b9
Try run started, revision b0b494f311b9. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=b0b494f311b9
Comment 4 Jacek Caban 2012-05-15 03:20:07 PDT
Thanks for the review. Pushed with commit comment to m-i:

https://hg.mozilla.org/integration/mozilla-inbound/rev/975f2617b639
Comment 5 Ralph Giles (:rillian) needinfo me 2012-05-15 09:27:50 PDT
(In reply to Lukas Blakk [:lsblakk] from comment #2)
> Ralph, sorry that Autoland doesn't strip off whitespace right now 

Aha. Thanks Lukas!
Comment 6 Ed Morley [:emorley] 2012-05-16 03:56:04 PDT
https://hg.mozilla.org/mozilla-central/rev/975f2617b639

Note You need to log in before you can comment on or make changes to this bug.